package com.fjhx.customer.service.xiaoman;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanConfigDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanConfigSelectDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerSelectDto;
import com.fjhx.customer.entity.xiaoman.po.XiaomanConfig;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanConfigVo;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 小满配置表 服务类
 * </p>
 *
 */
public interface XiaomanConfigService extends BaseService<XiaomanConfig> {

    void getToken(XiaomanConfig config);

    void refreshToken(XiaomanConfig config);

    Page<XiaomanConfigVo> getPage(XiaomanConfigSelectDto dto);

    XiaomanConfigVo detail(Long id);

    void edit(XiaomanConfigDto xiaomanConfigDto);

    /**
     * 缓存token
     * @author hj
     * @date 2024/4/11 17:29
     */
    void cacheToken();

    XiaomanConfig getCache();
}
