package com.fjhx.customer.service.xiaoman;

import com.fjhx.customer.entity.xiaoman.po.XiaomanCustomerInfoJson;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerInfoJsonVo;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerInfoJsonSelectDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerInfoJsonDto;


/**
 * <p>
 * 小满客户详情表 服务类
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
public interface XiaomanCustomerInfoJsonService  {

    /**
     * 小满客户详情表分页
     */
    Page<XiaomanCustomerInfoJsonVo> getPage(XiaomanCustomerInfoJsonSelectDto dto);

    /**
     * 小满客户详情表明细
     */
    XiaomanCustomerInfoJsonVo detail(Long id);

    /**
     * 小满客户详情表新增
     */
    void add(XiaomanCustomerInfoJsonDto xiaomanCustomerInfoJsonDto);

    /**
     * 小满客户详情表编辑
     */
    void edit(XiaomanCustomerInfoJsonDto xiaomanCustomerInfoJsonDto);

    /**
     * 小满客户详情表删除
     */
    void delete(Long id);

}
